Test Run
Authorizations
X-Api-KeystringRequired
API Key for authentication
Path parameters
workspaceIdinteger · int32Required
Workspace Id.
Body
Request payload to trigger the execution of a Test Run.
targetIdinteger · int32Required
The id of the Target for which the Test Run will be triggered.
probeIdsinteger · int32[] · nullableRequired
The ids of the Probes that will be used in a Test Run.
namestringRequired
Name of the Test Run.
notifyWhenFinishedbooleanRequiredDefault:
falserunAiAnalysisbooleanRequiredDefault:
falseResponses
200
OK
application/json
Response payload to triggered Test Run.
testRunIdinteger · int32Required
The id of the Test Run.
400
Bad Request
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
post/api/workspaces/{workspaceId}/test-run/trigger
POST /api/workspaces/{workspaceId}/test-run/trigger HTTP/1.1
Host: api.probe.splx.ai
X-Api-Key: YOUR_API_KEY
Content-Type: application/json-patch+json
Accept: */*
Content-Length: 107
{
"targetId": 1,
"probeIds": [
1,
2,
3
],
"name": "SplXAI Test Run",
"notifyWhenFinished": false,
"runAiAnalysis": false
}{
"testRunId": 1
}Authorizations
X-Api-KeystringRequired
API Key for authentication
Path parameters
testRunIdinteger · int32Required
Test Run id.
workspaceIdinteger · int32Required
Workspace Id.
Responses
200
OK
No content
400
Bad Request
application/json
401
Unauthorized
application/json
403
Forbidden
application/json
500
Internal Server Error
application/json
post/api/workspaces/{workspaceId}/test-run/{testRunId}/cancel
POST /api/workspaces/{workspaceId}/test-run/{testRunId}/cancel HTTP/1.1
Host: api.probe.splx.ai
X-Api-Key: YOUR_API_KEY
Accept: */*
No content
Last updated
Was this helpful?